## org.eclipse.emf.common.ui.viewer
Class ExtendedTableTreeViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTreeViewer
                          org.eclipse.jface.viewers.TableTreeViewer
                              org.eclipse.emf.common.ui.viewer.ExtendedTableTreeViewer

All Implemented Interfaces:
  IInputProvider, IInputSelectionProvider, IPostSelectionProvider, ISelectionProvider

Direct Known Subclasses:
  MappingEditor.OverviewViewer

Deprecated.

    @Deprecated
    public class ExtendedTableTreeViewer

extends TableTreeViewer

This class extends a TableTreeViewer to draw images and tree lines in the tree column.

Nested Class Summary
`class` `ExtendedTableTreeViewer.ExtendedTableTreeItem` Deprecated.

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer
`StructuredViewer.ColorAndFontCollector, StructuredViewer.ColorAndFontCollectorWithProviders`

Field Summary
`protected java.lang.String` `imagePadding` Deprecated.
`protected int` `imagePaddingWidth` Deprecated.
`protected boolean` `interactorFound` Deprecated.
`protected Point` `interactorSize` Deprecated.
`static java.lang.String` `ITEM_ID` Deprecated.

Fields inherited from class org.eclipse.jface.viewers.AbstractTreeViewer
`ALL_LEVELS`

Fields inherited from class org.eclipse.jface.viewers.Viewer
`WIDGET_DATA_KEY`

Constructor Summary
`ExtendedTableTreeViewer(Composite parent)` Deprecated.
`ExtendedTableTreeViewer(Composite parent, int style)` Deprecated.
`ExtendedTableTreeViewer(TableTree tableTree)` Deprecated.

Method Summary
`protected static Rectangle` `center(Rectangle bounds, int maxHeight)` Deprecated. Centers the Rectangle vertically, within a surrounding space of the given height.
`protected void` `createImagePadding(int width)` Deprecated.
`static Rectangle` `getImageBounds(TableItem tableItem, int column)` Deprecated. This is a convenient way to get image bound values that are corrected on GTK.
`protected void` `hookControl(Control control)` Deprecated.
`protected static boolean` `isGTK()` Deprecated. Returns whether GTK is the current platform.
`protected Item` `newItem(Widget parent, int flags, int index)` Deprecated.
`protected static Rectangle` `scale(Rectangle bounds, int maxHeight)` Deprecated. Scales the Rectangle, maintaining its aspect, such that it fits within the given height.

Methods inherited from class org.eclipse.jface.viewers.TableTreeViewer

`addTreeListener, cancelEditing, doUpdateItem, editElement, getCellEditors, getCellModifier, getChild, getChildren, getColumnProperties, getControl, getElementAt, getExpanded, getItemAt, getItemCount, getItemCount, getItems, getLabelProvider, getParentItem, getSelection, getTableTree, isCellEditorActive, removeAll, setCellEditors, setCellModifier, setColumnProperties, setExpanded, setSelection, showItem`

Methods inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

`add, add, addSelectionListener, addTreeListener, assertContentProviderType, associate, buildLabel, collapseAll, collapseToLevel, createChildren, createTreeItem, createViewerEditor, disassociate, doFindInputItem, doFindItem, doGetColumnCount, doUpdateItem, expandAll, expandToLevel, expandToLevel, fireTreeCollapsed, fireTreeExpanded, getAutoExpandLevel, getChildren, getColumnViewerOwner, getExpandedElements, getExpandedState, getExpandedTreePaths, getFilteredChildren, getNextItem, getParentElement, getPreviousItem, getRawChildren, getSelection, getSelectionFromWidget, getSortedChildren, getTreePathFromItem, getViewerRowFromItem, getVisibleExpandedElements, handleDoubleSelect, handleTreeCollapse, handleTreeExpand, indexForElement, inputChanged, insert, internalAdd, internalCollapseToLevel, internalExpand, internalExpandToLevel, internalFindItems, internalGetWidgetToSelect, internalInitializeTree, internalIsInputOrEmptyPath, internalRefresh, internalRefresh, internalRefresh, internalRemove, internalRemove, isExpandable, isSameSelection, labelProviderChanged, remove, remove, remove, removeTreeListener, reveal, scrollDown, scrollUp, setAutoExpandLevel, setContentProvider, setExpandedElements, setExpandedState, setExpandedTreePaths, setSelectionToWidget, setSelectionToWidget, updateChildren, updatePlus`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`applyEditorValue, checkBusy, getCell, getColumnViewerEditor, getItem, getLabelProvider, getViewerRow, hookEditingSupport, isBusy, refresh, refresh, setBusy, setColumnViewerEditor, setLabelProvider, triggerEditorActivationEvent, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, assertElementsNotNull, equals, filter, findItem, findItems, fireDoubleClick, fireOpen, firePostSelectionChanged, getColorAndFontCollector, getComparator, getComparer, getFilters, getRoot, getSorter, handleDispose, handleInvalidSelection, handleLabelProviderChanged, handleOpen, handlePostSelect, handleSelect, hasFilters, internalUpdate, mapElement, needsRefilter, preservingSelection, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setFilters, setInput, setSelection, setSorter, setUseHashlookup, testFindItem, testFindItems, unmapAllElements, unmapElement, unmapElement, update, updateItem, updateSelection, usingElementMap`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, removeHelpListener, removeSelectionChangedListener, setData, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### ITEM_ID

    public static final java.lang.String ITEM_ID

  Deprecated.
  See Also:
    Constant Field Values

### interactorSize

    protected Point interactorSize

  Deprecated.

### interactorFound

    protected boolean interactorFound

  Deprecated.

### imagePadding

    protected java.lang.String imagePadding

  Deprecated.

### imagePaddingWidth

    protected int imagePaddingWidth

  Deprecated.

Constructor Detail

### ExtendedTableTreeViewer

    public ExtendedTableTreeViewer(TableTree tableTree)

  Deprecated.

### ExtendedTableTreeViewer

    public ExtendedTableTreeViewer(Composite parent)

  Deprecated.

### ExtendedTableTreeViewer

    public ExtendedTableTreeViewer(Composite parent,
                                   int style)

  Deprecated.

Method Detail

### newItem

    protected Item newItem(Widget parent,
                           int flags,
                           int index)

  Deprecated.
  Overrides:
    `newItem` in class `TableTreeViewer`

### hookControl

    protected void hookControl(Control control)

  Deprecated.
  Overrides:
    `hookControl` in class `TableTreeViewer`

### createImagePadding

    protected void createImagePadding(int width)

  Deprecated.

### isGTK

    protected static boolean isGTK()

  Deprecated.
  Returns whether GTK is the current platform. Special treatment is needed for GTK in drawing on the table.

### getImageBounds

    public static Rectangle getImageBounds(TableItem tableItem,
                                           int column)

  Deprecated.
  This is a convenient way to get image bound values that are corrected on GTK. If the given TableItem underlies an ExtendedTableTreeItem, getImageBounds() is called on that ExtendedTableTreeItem. Otherwise, it is called directory on the TableItem. See Bugzilla 42434.

### center

    protected static Rectangle center(Rectangle bounds,
                                      int maxHeight)

  Deprecated.
  Centers the Rectangle vertically, within a surrounding space of the given height. The given Rectangle is changed and returned.

### scale

    protected static Rectangle scale(Rectangle bounds,
                                     int maxHeight)

  Deprecated.
  Scales the Rectangle, maintaining its aspect, such that it fits within the given height. The given Rectangle is changed and returned.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.